# ApplicationFramework
TKBinL
BinMDF

# BinMDF_TypeADriverMap Class Reference

`#include <BinMDF_TypeADriverMap.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | BinMDF_TypeADriverMap (const Standard_Integer NbBuckets=1)
Standard_EXPORT BinMDF_TypeADriverMap & | Assign (const BinMDF_TypeADriverMap &Other)
BinMDF_TypeADriverMap & | operator= (const BinMDF_TypeADriverMap &Other)
Standard_EXPORT void | ReSize (const Standard_Integer NbBuckets)
Standard_EXPORT void | Clear ()
| ~BinMDF_TypeADriverMap ()
Standard_EXPORT Standard_Boolean | Bind (const Handle(Standard_Type)&K, const Handle(BinMDF_ADriver)&I)
Standard_EXPORT Standard_Boolean | IsBound (const Handle(Standard_Type)&K) const
Standard_EXPORT Standard_Boolean | UnBind (const Handle(Standard_Type)&K)
Standard_EXPORT const Handle_BinMDF_ADriver & | Find (const Handle(Standard_Type)&K) const
const Handle_BinMDF_ADriver & | operator() (const Handle(Standard_Type)&K) const
Standard_EXPORT Handle_BinMDF_ADriver & | ChangeFind (const Handle(Standard_Type)&K)
Handle_BinMDF_ADriver & | operator() (const Handle(Standard_Type)&K)

## Private Member Functions

Standard_EXPORT | BinMDF_TypeADriverMap (const BinMDF_TypeADriverMap &Other)

## Constructor & Destructor Documentation

Standard_EXPORT BinMDF_TypeADriverMap::BinMDF_TypeADriverMap | ( | const Standard_Integer | NbBuckets = `1` | ) |

BinMDF_TypeADriverMap::~BinMDF_TypeADriverMap | ( |  | ) | `[inline]`

Standard_EXPORT BinMDF_TypeADriverMap::BinMDF_TypeADriverMap | ( | const BinMDF_TypeADriverMap & | Other | ) | `[private]`

## Member Function Documentation

Standard_EXPORT BinMDF_TypeADriverMap& BinMDF_TypeADriverMap::Assign | ( | const BinMDF_TypeADriverMap & | Other | ) |

Standard_EXPORT Standard_Boolean BinMDF_TypeADriverMap::Bind | ( | const Handle(Standard_Type)& | K,
|  | const Handle(BinMDF_ADriver)& | I
| ) |

Standard_EXPORT Handle_BinMDF_ADriver& BinMDF_TypeADriverMap::ChangeFind | ( | const Handle(Standard_Type)& | K | ) |

Standard_EXPORT void BinMDF_TypeADriverMap::Clear | ( |  | ) |

Standard_EXPORT const Handle_BinMDF_ADriver& BinMDF_TypeADriverMap::Find | ( | const Handle(Standard_Type)& | K | ) | const

Standard_EXPORT Standard_Boolean BinMDF_TypeADriverMap::IsBound | ( | const Handle(Standard_Type)& | K | ) | const

void BinMDF_TypeADriverMap::operator delete | ( | void * | anAddress | ) | `[inline]`

void* BinMDF_TypeADriverMap::operator new | ( | size_t | size | ) | `[inline]`

void* BinMDF_TypeADriverMap::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Handle_BinMDF_ADriver& BinMDF_TypeADriverMap::operator() | ( | const Handle(Standard_Type)& | K | ) | `[inline]`

const Handle_BinMDF_ADriver& BinMDF_TypeADriverMap::operator() | ( | const Handle(Standard_Type)& | K | ) | const`[inline]`

BinMDF_TypeADriverMap& BinMDF_TypeADriverMap::operator= | ( | const BinMDF_TypeADriverMap & | Other | ) | `[inline]`

Standard_EXPORT void BinMDF_TypeADriverMap::ReSize | ( | const Standard_Integer | NbBuckets | ) |

Standard_EXPORT Standard_Boolean BinMDF_TypeADriverMap::UnBind | ( | const Handle(Standard_Type)& | K | ) |

The documentation for this class was generated from the following file:

- BinMDF_TypeADriverMap.hxx